<?php

// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

    //
    // Set a unique slug-like ID
    $auxa_category_meta = 'auxa_category_color';

    //
    // Create taxonomy options
    CSF::createTaxonomyOptions( $auxa_category_meta, array(
        'taxonomy'  => 'category',
        'data_type' => 'serialize', // The type of the database save options. `serialize` or `unserialize`
    ) );

    //
    // Create a section
    CSF::createSection( $auxa_category_meta, array(
        'fields' => array(
            array(
                'id'    => 'cat-color',
                'type'  => 'color',
                'title' => 'Color',
            ),
        )
    ) );

}