<?php
// Product
CSF::createSection( $auxa_theme_option, array(
    'title'  => esc_html__( 'Portfolio', 'auxa-core' ),
    'id'     => 'portfolio_option',
    'icon'   => 'fas fa-images',
    'fields' => array(
        array(
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Portfolio Single Breadcrumb', 'auxa-core' ) . '</h3>',
        ),

        array(
            'id'       => 'enable_portfolio_breadcrumb',
            'type'     => 'switcher',
            'title'    => __( 'Breadcrumb', 'auxa-core' ),
            'text_on'  => __( 'Yes', 'auxa-core' ),
            'text_off' => __( 'No', 'auxa-core' ),
            'default'  => true
        ),
  
        array(
            'id'                    => 'port_background_banner',
            'type'                  => 'background',
            'title'                 => esc_html__( 'Banner Background', 'auxa-core' ),
            'background_origin'     => false,
            'background_clip'       => false,
            'background_blend-mode' => false,
            'background_attachment' => false,
            'background_size' => false,
            'background_position' => false,
            'background_repeat' => false,
            'output'                => '.portfolio-banner',
            'dependency' => array( 'enable_portfolio_breadcrumb', '==', 'true' ),
        ),
        array(
            'id'         => 'port_breadcrumb_title',
            'type'       => 'text',
            'title'      => esc_html__('Portfolio Single Title', 'auxa-core'),
            'desc'       => esc_html__('If you want custom title write title here or If you want to use portfolio default title leave it empty.', 'auxa-core'),
            'dependency' => array( 'enable_portfolio_breadcrumb', '==', 'true' ),
        ),

    ),
) );