<?php
$auxa_career_metabox = 'auxa_career_meta';

CSF::createMetabox( $auxa_career_metabox, array(
    'title'     => 'Career Options',
    'post_type' => 'auxa_career',
    'menu_position'=>0,
) );

// Header Section
CSF::createSection( $auxa_career_metabox, array(
    'fields' => array(
        array(
            'id'     => 'career_price',
            'type'   => 'fieldset',
            'title' => esc_html__( 'Career Price', 'auxa-core' ),
            'fields' => array(
                array(
                    'id'    => 'price',
                    'type'  => 'text',
                    'title' => esc_html__( 'Price', 'auxa-core' ),
                ),
                array(
                    'id'    => 'hour',
                    'type'  => 'text',
                    'title' => esc_html__( 'Hour', 'auxa-core' ),
                ),
            ),
        ),
        array(
            'id'     => 'career_location',
            'type'   => 'fieldset',
            'title' => esc_html__( 'Location', 'auxa-core' ),
            'fields' => array(
                array(
                    'id'    => 'location_title',
                    'type'  => 'text',
                    'title' => esc_html__( 'Location Title', 'auxa-core' ),
                ),
                array(
                    'id'    => 'location',
                    'type'  => 'text',
                    'title' => esc_html__( 'Location', 'auxa-core' ),
                ),
            ),
        ),
    ),
) );