<?php

$auxa_temp_meta = 'auxa_temp_meta';

CSF::createMetabox( $auxa_temp_meta, array(
    'title'     => 'Template Type',
    'post_type' => array('auxa_template'),
    'data_type' => 'unserialize'
) );

// Header Section
CSF::createSection( $auxa_temp_meta, array(
    'fields' => array(
        array(
            'id'          => 'auxa_template_type',
            'type'        => 'select',
            'chosen'      => true,
            'title'       => 'Select Template Type',
            'placeholder' => 'Select Template Type',
            'options'     => array(
                'tf_header_key'  => 'Header',
                'tf_footer_key'  => 'Footer',
            ),
            'default'     => ''
        ),
    ),
) );
