<?php
$auxa_team_metabox = 'auxa_team_meta';

CSF::createMetabox( $auxa_team_metabox, array(
    'title'     => 'Team Options',
    'post_type' => 'auxa_team',
    'menu_position'=>0,
) );

// Header Section
CSF::createSection( $auxa_team_metabox, array(
    'fields' => array(

        array(
            'id'    => 'designation',
            'type'  => 'text',
            'title' => esc_html__( 'Designation', 'auxa-core' ),
        ),
        array(
            'id'     => 'team-social',
            'type'   => 'fieldset',
            'title' => esc_html__( 'Socials Url', 'auxa-core' ),
            'fields' => array(
                array(
                    'id'    => 'facebook',
                    'type'  => 'text',
                    'title' => esc_html__( 'Facebook Url', 'auxa-core' ),
                ),
                array(
                    'id'    => 'twitter',
                    'type'  => 'text',
                    'title' => esc_html__( 'Twitter Url', 'auxa-core' ),
                ),
                array(
                    'id'    => 'linkedin',
                    'type'  => 'text',
                    'title' => esc_html__( 'Linkedin Url', 'auxa-core' ),
                ),
                array(
                    'id'    => 'instagram',
                    'type'  => 'text',
                    'title' => esc_html__( 'Instagram Url', 'auxa-core' ),
                ),
            ),
        ),
    ),
) );